<!Doctype html>
<html>
<head>
<title>Facebook style timeline content loading placeholder with CSS</title>
 <link rel="icon" href="http://tutorialswebsite.com/wp-content/uploads/2016/01/2.png" type="image/x-icon" />
<script src="https://use.fontawesome.com/567fc88304.js"></script>
<script src="http://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="http://cdnjs.cloudflare.com/ajax/libs/fancybox/2.1.5/jquery.fancybox.pack.js"></script>
<script src="script.js"></script>
<link rel="stylesheet" href="http://fancyapps.com/fancybox/source/jquery.fancybox.css?v=2.1.5">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
 <style type="text/css">
    .timeline-item {
   background: #fff;
   border: 1px solid;
   border-color: #e5e6e9 #dfe0e4 #d0d1d5;
   border-radius: 3px;
   padding: 12px;
 
   margin: 0 auto;
   max-width: 600px;
   min-height: 200px;
}
 
 
@keyframes placeHolderShimmer{
    0%{
        background-position: -468px 0
    }
    100%{
        background-position: 468px 0
    }
}
 
.animated-background {
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
    animation-name: placeHolderShimmer;
    animation-timing-function: linear;
    background: #f6f7f8;
    background: linear-gradient(to right, #eeeeee 8%, #dddddd 18%, #eeeeee 33%);
    background-size: 800px 104px;
    height: 96px;
    position: relative;
}
 
 
.background-masker {
    background: #fff;
    position: absolute;
}
 
/* Every thing below this is just positioning */
 
.background-masker.header-top,
.background-masker.header-bottom,
.background-masker.subheader-bottom {
    top: 0;
    left: 40px;
    right: 0;
    height: 10px;
}
 
.background-masker.header-left,
.background-masker.subheader-left,
.background-masker.header-right,
.background-masker.subheader-right {
    top: 10px;
    left: 40px;
    height: 8px;
    width: 10px;
}
 
.background-masker.header-bottom {
    top: 18px;
    height: 6px;
}
 
.background-masker.subheader-left,
.background-masker.subheader-right {
    top: 24px;
    height: 6px;
}
 
 
.background-masker.header-right,
.background-masker.subheader-right {
    width: auto;
    left: 300px;
    right: 0;
}
 
.background-masker.subheader-right {
    left: 230px;
}
 
.background-masker.subheader-bottom {
    top: 30px;
    height: 10px;
}
 
.background-masker.content-top,
.background-masker.content-second-line,
.background-masker.content-third-line,
.background-masker.content-second-end,
.background-masker.content-third-end,
.background-masker.content-first-end {
    top: 40px;
    left: 0;
    right: 0;
    height: 6px;
}
 
.background-masker.content-top {
    height:20px;
}
 
.background-masker.content-first-end,
.background-masker.content-second-end,
.background-masker.content-third-end{
    width: auto;
    left: 380px;
    right: 0;
    top: 60px;
    height: 8px;
}
 
.background-masker.content-second-line  {
    top: 68px;
}
 
.background-masker.content-second-end {
    left: 420px;
    top: 74px;
}
 
.background-masker.content-third-line {
    top: 82px;
}
 
.background-masker.content-third-end {
    left: 300px;
    top: 88px;
}
 
        .block a:hover{
            color: silver;
        }
        .block a{
            color: #fff;
        }
        .block {
            position: fixed;
            background: #2184cd;
            padding: 20px;
            z-index: 1;
            top: 240px;
        }
.content {
  position: relative;
  margin: 60px auto;
  width: 100%;
  max-width: 640px;
  z-index: 1;
}
.clearfix{
    border-bottom: 1px dotted #ccc;
    margin-bottom: 5px;
}
.demo-title{
    background-color: #8cc63e;
    border-color:#8cc63e;
color:#fff;
padding:10px;
text-align:center;
}
.demo-title h4{
font-size: 22px;
    font-weight: 700;
    text-shadow: 2px 2px #00A058;
}
</style>

</head>
<body>

<div class="demo-title"><h4>DEMO BY <span class="one">TUTORIALS</span><span class="two">WEBSITE</span>: Facebook style timeline content loading placeholder with CSS </h4></div>
<div class="col-md-2">

</div>
<div class="col-md-7">
<div class="content">
     <div class="timeline-wrapper">
    <div class="timeline-item">
        <div class="animated-background">
            <div class="background-masker header-top"></div>
            <div class="background-masker header-left"></div>
            <div class="background-masker header-right"></div>
            <div class="background-masker header-bottom"></div>
            <div class="background-masker subheader-left"></div>
            <div class="background-masker subheader-right"></div>
            <div class="background-masker subheader-bottom"></div>
            <div class="background-masker content-top"></div>
            <div class="background-masker content-first-end"></div>
            <div class="background-masker content-second-line"></div>
            <div class="background-masker content-second-end"></div>
            <div class="background-masker content-third-line"></div>
            <div class="background-masker content-third-end"></div>
        </div>
    </div>
 
          </div> 
</div>



</div>

<!----------------------right sidebar----------------->
<div class="col-md-3">

</div>
</body>
</html>